package net.bakingpowder.test;

import net.bakingpowder.mDNSrelay.Client.SendMDNSRelay;
import net.bakingpowder.mDNSrelay.Server.RecieveMDNSRelay;

public class MainCommand {

	public static void main(String[] args) {
		
		if (args.length!=0){
			if (args[0].equals("-s")){
				int port = Integer.parseInt(args[1]);
				try {
					RecieveMDNSRelay rmdnsr = new RecieveMDNSRelay(port);
					Thread th = new Thread(rmdnsr);
					th.start();
					
					while(true){
					;;	
					}
					
				} catch (Exception e) {
					e.printStackTrace();
				}

				
			} else if (args[0].equals("-c")){

				
				int port = Integer.parseInt(args[2]);
				
				SendMDNSRelay smdnsr;
				try {
					smdnsr = new SendMDNSRelay(args[1],port);
					Thread th = new Thread(smdnsr);
					th.start();		
					
					while(true){
						;;
					}

				} catch (Exception e) {
					e.printStackTrace();
				}
				
			} else {
				System.out.println("usage(server) : java -jar mDNSrelar.jar [-s port]");
				System.out.println("usage(client) : java -jar mDNSrelar.jar [-c address port]");
				System.exit(0);
			}

		} else {
			System.out.println("usage(server) : java -jar mDNSrelar.jar [-s port]");
			System.out.println("usage(client) : java -jar mDNSrelar.jar [-c address port]");
			System.exit(0);
			
		}
	}
}
