package net.bakingpowder.mDNSrelay.Client;

import java.net.ConnectException;
import java.net.DatagramPacket;
import java.net.InetAddress;
import java.net.Socket;
import java.net.MulticastSocket;
import java.net.UnknownHostException;
import java.io.IOException;
import java.io.InputStream;
//import java.io.OutputStream;

public class SendMDNSRelay implements Runnable {

	//󂯎ƂMulticast
	final static String MDNS_GROUP = "224.0.0.251";
	final static String MDNS_GROUP_IPV6 = "FF02::FB";
	final static int MDNS_PORT = 5353;
	final static int BUFFER_SIZE = 1024;

	
	//q̏
	private String destHost = null;
	private String destRecieveTCPRelayAddress = null;
	private int destRecieveTCPRelayPort, destPortNumber;
	private boolean stopper = false;

	//}`LXg\Pbg
	MulticastSocket ms;

	/**
	 * ݒp̃RXgN^
	 * 
	 * @param portNumber
	 * @param destRecieveTCPRelayAddress
	 * @param destRecieveTCPRelayPort
	 * @throws Exception
	 */
public SendMDNSRelay(String destRecieveTCPRelayAddress,int destRecieveTCPRelayPort)
			throws Exception {
		this.destRecieveTCPRelayAddress = destRecieveTCPRelayAddress;
		this.destRecieveTCPRelayPort = destRecieveTCPRelayPort;

		
		ms = new MulticastSocket(MDNS_PORT);
		iams = InetAddress.getByName(MDNS_GROUP);
	}

	InetAddress iams;

	public void run() {
		System.out.println("[MDNSrelay Client ver 0.01] since Apl.2005");
		Socket destSocket = null;
		try {
			destSocket = new Socket(destRecieveTCPRelayAddress,
					destRecieveTCPRelayPort);
		} catch (ConnectException e1){
			System.err.println("[err]Connection refused");
			return;
		} catch (UnknownHostException e1) {
			System.err.println("[err]Server is Unknownhost");
			return;
		} catch (IOException e1) {
			e1.printStackTrace();
		}
		
		System.out.println("Connection Completed.");
		
		try {
			InputStream srcIn = destSocket.getInputStream();
			byte[] buffer = new byte[1024];

			int i=0;
			int bytesRead = 0;
			while (true) {
				try {
					if ((bytesRead = srcIn.read(buffer, 0, BUFFER_SIZE)) == -1){break;}
					
					//System.out.println(new String(buffer));
					i++;
					if (i==25){i=0;System.out.print("\r");}
					System.out.print(".");
					
					DatagramPacket dp = new DatagramPacket(buffer, buffer.length,iams,MDNS_PORT);
					ms.setTimeToLive(255);		
					ms.send(dp);
				} catch (IOException e) {
					// TODO Auto-generated catch block
					e.printStackTrace();
				}
			}
			
			
			
		} catch (UnknownHostException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		} catch (IOException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}

	}
}