package net.bakingpowder.mDNSrelay.Server;

import java.net.ServerSocket;
import java.net.Socket;
import java.io.IOException;

public class RecieveMDNSRelay implements Runnable {
	private ServerSocket mainSocket = null;
	private boolean stopper = false;
	
	public RecieveMDNSRelay(int portNumber) throws Exception {
		mainSocket = new ServerSocket(portNumber);
	}
	
	private RecieveConnectControl cc;

	public void run() {
		System.out.println("[MDNSrelay Server ver 0.01] since Apl.2005");
		System.out.println("Waiting Connection from MDNSrelay Client.");

		while (!stopper) {
			Socket newSocket;
			try {
				newSocket = mainSocket.accept();
				System.out.println("Connection has been accepted.");
				cc = new RecieveConnectControl(newSocket);
				Thread th = new Thread(cc);
				th.start();
				

			} catch (IOException e) {
				e.printStackTrace();
			}

		}
		
			try {
				mainSocket.close();
			} catch (IOException e) {
				e.printStackTrace();
			}
		
	}
}